[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
RE: [p2-dev] multiple providers of the same capability

Ciao Igor :)
That's work by design, if you require something and three providers are
providing it then we consider all three provided packages equal. No
matter which one we pick you'll always get the right one.

If you try to get a specific providers' package then the best way is to
express a different dependency, or a more strict version range such that
it can only be true by fulfilled by your provider...

(Pascal, plz. correct me if I'm wrong...)

HTH,
Ciao, hh 

-----Original Message-----
From: p2-dev-bounces@xxxxxxxxxxx [mailto:p2-dev-bounces@xxxxxxxxxxx] On
Behalf Of Igor Fedorenko
Sent: Thursday, April 09, 2009 4:12 PM
To: P2 developer discussions
Subject: [p2-dev] multiple providers of the same capability

Hello,

I have an installable unit that requires capability which has multiple
providers. Is P2 expected to resolve and install all available providers
when I tell it to install my IU?

This does not seem to be the case with P2 from 3.5M6. I tried a (split)
java.package and osgi.fragment and in both cases P2 appears to pick one
arbitrary provider. Example how to express such dependencies will be
much appreciated.

--
Regards,
Igor
_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev